# class XmlComment | Xml Comment. More...
Full name | `TelEngine::XmlComment`
Definition | `#include <libs/yxml/yatexml.h>`
Inherits | TelEngine::XmlChild [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- XmlComment (const String& comm)
- XmlComment (const XmlComment& orig)
- virtual ~XmlComment ()
- inline const String& getComment () const
- void toString (String& dump, const String& indent = String::empty()) const
- virtual XmlComment* xmlComment ()

## Detailed Description

A Xml Comment from Xml document

XmlComment (const String& comm) | ### XmlComment

Constructor

Parameters:

comm | The comment content

XmlComment (const XmlComment& orig) | ### XmlComment

Copy constructor

Parameters:

orig | Original XmlComment

~XmlComment () | ### ~XmlComment

[virtual]

Destructor

inline const String& getComment () | ### getComment

[const]

Get the text contained by this comment

Returns: The comment

void toString (String& dump, const String& indent = String::empty()) | ### toString

[const]

Build a String from this XmlComment

Parameters:

dump | The string where to append representation
indent | Spaces for output

Reimplemented from GenObject.

XmlComment* xmlComment () | ### xmlComment

[virtual]

Get the Xml comment

Returns: This object

Reimplemented from XmlChild.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.